=== style/CMakeLists.txt ===
# install the application's stylesheets
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/widgets-3.10.css DESTINATION ${PKGDATADIR}/style/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/widgets-3.20.css DESTINATION ${PKGDATADIR}/style/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/widgets-minimal-3.10.css DESTINATION ${PKGDATADIR}/style/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/widgets-minimal-3.20.css DESTINATION ${PKGDATADIR}/style/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/palettes/elementary.css DESTINATION ${PKGDATADIR}/style/palettes/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/palettes/elementary-dark.css DESTINATION ${PKGDATADIR}/style/palettes/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/palettes/theme-based.css DESTINATION ${PKGDATADIR}/style/palettes/)
