=== debian/changelog ===
go-for-it (1.7.3-1~mx18+1) mx; urgency=medium

  * Rebuild for MX 18.

 -- ”SwampRabbit” <maintainer@mepiscommunity.org>  Thu, 26 Sep 2019 16:56:52 -0400
