=== debian/control ===
Source: go-for-it
Section: x11
Priority: extra
Maintainer: SwampRabbit <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: Jonathan Moerman <jonathanmoerman@gmail.com>
Build-Depends: cmake (>= 2.8.9),
               debhelper (>= 9.0.0),
               intltool,
               valac-0.26 | valac (>= 0.26),
               libgtk-3-dev (>= 3.14),
               libnotify-dev
Standards-Version: 3.9.5

Package: go-for-it
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: A stylish to-do list with built-in productivity timer.
 Go For It! keeps track of your tasks and assists you in processing them 
 subsequently. The timer avoids distraction, by keeping your focus on the
 recent task, while reminding you to take short breaks on a regular base.
