## go-for-it 1.8.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,8 +8,10 @@
 set (INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}")
 set (DATADIR "${INSTALL_PREFIX}/share")
 
-set (APP_ID "com.github.jmoerman.go-for-it" CACHE STRING "The application id")
+set (RESOURCE_PATH "/go-for-it")
+set (APP_ID "com.github.jmoerman.go-for-it" CACHE STRING "The application id.")
 set (APP_SYSTEM_NAME ${APP_ID} CACHE STRING "Name to used for file names. For example the file name of the .desktop file.")
+set (SCHEMA_PATH "/com/github/jmoerman/go-for-it" CACHE STRING "The gsettings schema path.")
 
 set (PKGDATADIR ${DATADIR}/${APP_SYSTEM_NAME})
 set (FILE_CONF ${PROJECT_NAME}.conf)
@@ -17,7 +19,7 @@
 set (EXEC_NAME ${APP_SYSTEM_NAME})
 set (APP_NAME "Go For It!")
 set (RELEASE_NAME "A stylish to-do list with built-in productivity timer")
-set (VERSION "1.7.3")
+set (VERSION "1.8.7")
 set (VERSION_INFO "Release")
 set (ICON_NAME ${APP_SYSTEM_NAME})
 set (GETTEXT_PACKAGE ${APP_SYSTEM_NAME})
@@ -32,7 +34,7 @@
 set (PROJECT_WEBSITE "http://manuel-kehl.de/projects/go-for-it/")
 set (PROJECT_REPO "https://github.com/JMoerman/Go-For-It")
 set (PROJECT_DONATIONS "https://jmoerman.github.io/donate/")
-set (DEFAULT_THEME "elementary")
+set (DEFAULT_THEME "")
 
 #for go-for-it.pc.cmake
 set (PREFIX ${CMAKE_INSTALL_PREFIX})
@@ -65,7 +67,7 @@
 # make sure we use vala
 include (ValaVersion)
 # make sure it's the desired version of vala
-ensure_vala_version("0.26" MINIMUM)
+ensure_vala_version("0.36.15" MINIMUM)
 
 option (BUILD_TESTS "Build a unit test executable." OFF)
 
@@ -81,5 +83,4 @@
     add_subdirectory (tests)
 endif (BUILD_TESTS)
 add_subdirectory (data)
-add_subdirectory (style)
 add_subdirectory (po)
