=== debian/changelog ===
go-for-it (1.8.7-2~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 06 May 2021 11:02:19 -0400

go-for-it (1.8.7-2) unstable; urgency=medium

  * Source-only upload.
  * Add Leandro Ramos into the uploaders list.

 -- Boyuan Yang <byang@debian.org>  Sat, 27 Feb 2021 09:16:18 -0500

go-for-it (1.8.7-1) unstable; urgency=medium

  * Initial release. (Closes: #979275)

 -- Boyuan Yang <byang@debian.org>  Wed, 10 Feb 2021 20:59:47 -0500
