=== debian/control ===
Source: go-for-it
Section: utils
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Boyuan Yang <byang@debian.org>
Uploaders:
 Leandro Ramos <leandroramos@disroot.org>,
Standards-Version: 4.5.1
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 gettext,
 intltool,
 libayatana-appindicator3-dev,
 libcanberra-dev,
 libglib2.0-dev,
 libgtk-3-dev,
 libnotify-dev,
 libpeas-dev,
 valac,
Rules-Requires-Root: no
Homepage: https://github.com/JMoerman/Go-For-It/releases
Vcs-Git: https://salsa.debian.org/debian/go-for-it.git
Vcs-Browser: https://salsa.debian.org/debian/go-for-it

Package: go-for-it
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Simple and stylish productivity app
 Go For It! is a simple and stylish productivity app, featuring
 a to-do list, merged with a timer that keeps your focus on the
 current task.
