=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%go-for-it-$1.tar.gz%" \
 https://github.com/JMoerman/Go-For-It/releases \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
