## go-for-it 1.9.5

=== debian/changelog ===
go-for-it (1.9.5-1build1) jammy; urgency=medium

  * No-change rebuild against latest granite

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 24 Oct 2021 08:30:48 -0400

go-for-it (1.9.5-1) unstable; urgency=medium

  * New upstream release. 

 -- Boyuan Yang <byang@debian.org>  Wed, 13 Oct 2021 12:26:51 -0400

go-for-it (1.9.4-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 20 Sep 2021 20:29:44 -0400

go-for-it (1.9.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules: Enable USE_GRANITE flag to use libgranite.
  * debian/control:
    + Bump Standards-Version to 4.6.0.
    + Update homepage field as indicated by upstream.

 -- Boyuan Yang <byang@debian.org>  Wed, 25 Aug 2021 15:07:11 -0400
