=== plugins/CMakeLists.txt ===
add_subdirectory (appindicator)
add_subdirectory (launcher_indicator)
