=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 # Create Constants.vala
 configure_file (${CMAKE_CURRENT_SOURCE_DIR}/Constants.vala.cmake ${CMAKE_CURRENT_SOURCE_DIR}/Constants.vala)
+configure_file (${CMAKE_CURRENT_SOURCE_DIR}/go-for-it.pc.in ${CMAKE_CURRENT_BINARY_DIR}/${LIBNAME}.pc)
 
 if (${NO_CONTRIBUTE_DIALOG})
     set (VALAC_OPTIONS ${VALAC_OPTIONS} -D NO_CONTRIBUTE_DIALOG)
@@ -7,6 +8,8 @@
 if (${SHOW_ABOUT})
     set (VALAC_OPTIONS ${VALAC_OPTIONS} -D SHOW_ABOUT)
 endif ()
+
+add_definitions(-DG_LOG_DOMAIN="${LIBNAME}")
 
 # checking if have a recent version of Gtk+-3.0
 pkg_check_modules( GTK3 gtk+-3.0 )
@@ -16,10 +19,24 @@
     message ("-- No recent Gtk+-3.0 found... Using pre 3.22 features.")
 endif ()
 
+set (VALA_PACKAGES ${DEPS_VALA_PACKAGES})
+
+if (USE_GRANITE)
+    set (VALAC_OPTIONS ${VALAC_OPTIONS} -D USE_GRANITE)
+    set (VALA_PACKAGES ${VALA_PACKAGES} granite)
+endif ()
+
+if (ENABLE_PLUGINS)
+    set (VALA_PACKAGES ${VALA_PACKAGES} libpeas-1.0 libpeas-gtk-1.0)
+else ()
+    set (VALAC_OPTIONS ${VALAC_OPTIONS} -D NO_PLUGINS)
+endif ()
+
 # files we want to compile
 include (ValaPrecompile)
 vala_precompile (VALA_C ${LIBNAME}
     Constants.vala
+    Date.vala
     Utils.vala
     ListIdentifier.vala
     TodoListInfo.vala
@@ -27,13 +44,16 @@
     TodoTask.vala
     TaskList.vala
     SequentialList.vala
-    Theme.vala
+    PluginInterface.vala
     Services/SettingsManager.vala
+    Services/PluginManager.vala
     Services/ListManager.vala
     Services/FileWatcher.vala
     Services/TaskTimer.vala
     Services/Shortcuts.vala
     Services/ActivityLog.vala
+    Services/SoundPlayer.vala
+    Services/Notifications.vala
     Widgets/TodoListInfoRow.vala
     Widgets/DragListModel.vala
     Widgets/DragListRowBox.vala
@@ -41,12 +61,15 @@
     Widgets/ViewSwitcher.vala
     Widgets/TimerScheduleWidget.vala
     Widgets/TimerView.vala
+    Widgets/FileChooserWidget.vala
     Pages/TaskListPage.vala
     Pages/SelectionPage.vala
+    Dialogs/FileConflictDialog.vala
     Dialogs/DialogUtils.vala
     Dialogs/SettingsDialog.vala
     Dialogs/SettingsPages/AppearancePage.vala
     Dialogs/SettingsPages/BehaviorPage.vala
+    Dialogs/SettingsPages/NotificationsPage.vala
     Dialogs/SettingsPages/ShortcutsPage.vala
     Dialogs/AboutDialog.vala
     Dialogs/ContributeDialog.vala
@@ -70,8 +93,7 @@
 
 # tell what libraries to use when compiling
 PACKAGES
-    gtk+-3.0
-    libnotify
+    ${VALA_PACKAGES}
 OPTIONS
     ${VALAC_OPTIONS}
 GENERATE_VAPI
@@ -90,8 +112,19 @@
 
 set (LIB_FILES ${C_SOURCES} ${VALA_C})
 
-add_library (${LIBNAME} STATIC
+add_library (${LIBNAME} SHARED
     ${LIB_FILES}
 )
 
+set_target_properties (${LIBNAME} PROPERTIES
+    VERSION ${LIBVERSION}.0
+    SOVERSION ${SOVERSION})
+
 target_link_libraries (${LIBNAME} ${LIBS})
+
+install (TARGETS ${LIBNAME} DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR})
+
+install (FILES ${CMAKE_CURRENT_BINARY_DIR}/${LIBNAME}.pc DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR}/pkgconfig/)
+install (FILES ${CMAKE_CURRENT_BINARY_DIR}/${LIBNAME}.h DESTINATION ${CMAKE_INSTALL_FULL_INCLUDEDIR}/${PACKAGE_NAME}/)
+install (FILES ${CMAKE_CURRENT_BINARY_DIR}/${LIBNAME}.vapi DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/vala/vapi/)
+install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/go-for-it.deps DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/vala/vapi/ RENAME ${LIBNAME}.deps)
