=== debian/changelog ===
go-for-it (1.9.6-5) unstable; urgency=medium

  * Team upload.
  * debian/clean: Clean extra files. (Closes: #1044872)
  * debian/control: Bump Standards-Version to 4.7.0.
  * debian/control: Remove myself from the maintainer field.

 -- Boyuan Yang <byang@debian.org>  Tue, 21 Jan 2025 16:31:09 -0500

go-for-it (1.9.6-4) unstable; urgency=medium

  * debian/watch: Fix upstream monitoring scheme.
  * debian/control: Bump Standards-Version to 4.6.1.

 -- Boyuan Yang <byang@debian.org>  Tue, 25 Oct 2022 14:03:54 -0400

go-for-it (1.9.6-3) unstable; urgency=medium

  * debian/rules: Pass -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON via
    dh_auto_configure override for reproducibility. (Closes: #1003373)

 -- Boyuan Yang <byang@debian.org>  Sat, 28 May 2022 12:59:38 -0400

go-for-it (1.9.6-2) unstable; urgency=high

  * debian/patches/4be5ff4ff5ef7db9ab320945cd78a2b2e853695c.patch:
    Apply upstream patch to fix FTBFS with Vala 0.56+.
    (Closes: #1008351)

 -- Boyuan Yang <byang@debian.org>  Sat, 02 Apr 2022 20:39:04 -0400

go-for-it (1.9.6-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 26 Nov 2021 09:01:07 -0500
