=== debian/control ===
Source: go-for-it
Section: utils
Priority: optional
Maintainer: Leandro Ramos <leandroramos@disroot.org>
Standards-Version: 4.7.0
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 gettext,
 intltool,
 libayatana-appindicator3-dev,
 libcanberra-dev,
 libglib2.0-dev,
 libgranite-dev,
 libgtk-3-dev,
 libpeas-dev,
 valac,
Rules-Requires-Root: no
Homepage: https://jmoerman.github.io/go-for-it/
Vcs-Git: https://salsa.debian.org/debian/go-for-it.git
Vcs-Browser: https://salsa.debian.org/debian/go-for-it

Package: go-for-it
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Simple and stylish productivity app
 GoForIt! is a simple and stylish productivity app, featuring
 a to-do list, merged with a timer that keeps your focus on the
 current task.
